#ifndef ADVENTSKALENDER_H
#define ADVENTSKALENDER_H


#include <QtCore/QString>
#include <QtCore/QMultiMap>
#include <QtGui/QImage>
#include <QtGui/QWidget>

class QToolButton;
class QSignalMapper;


class AdventsKalender : public QWidget
{
    Q_OBJECT

public:
    AdventsKalender(QWidget *parent = 0, Qt::WindowFlags f = 0);

public slots:
    void addGiftForDay(const int, const QString &);

private slots:
    void showGiftForDay(const int);
    void aboutThis();
    void aboutQt();

private:
    QMultiMap<int,QString> m_gifts;
    QSignalMapper * m_mapper;
};

#endif // ADVENTSKALENDER_H
